Submit KYC
curl --request POST \
--url https://api.cadanapay.com/v1/users/{userId}/kyc \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "John",
"lastName": "Doe",
"dob": "1990-01-15",
"nationality": "US",
"address": {
"line1": "123 Main Street",
"line2": "Apt 101",
"city": "Anytown",
"postalCode": "12345",
"state": "NY",
"countryCode": "US"
},
"idDetails": {
"type": "passport",
"number": "123456789",
"issuedCountryCode": "US",
"issuedBy": "Department of State",
"issuedDate": "2020-01-15",
"expirationDate": "2030-01-15",
"frontFileId": "1d3f870c-bc91-4636-a0d4-8e54bccf7d64",
"backFileId": "2e4a981d-cd02-4747-b29d-3f65dd8e7d75",
"selfieFileId": "3f5b092e-de13-4858-a40e-4c76ee9f8e86"
},
"addressProofFileId": "4a6b103f-ef24-4969-b51f-5d87ff0a9f97"
}
'import requests
url = "https://api.cadanapay.com/v1/users/{userId}/kyc"
payload = {
"firstName": "John",
"lastName": "Doe",
"dob": "1990-01-15",
"nationality": "US",
"address": {
"line1": "123 Main Street",
"line2": "Apt 101",
"city": "Anytown",
"postalCode": "12345",
"state": "NY",
"countryCode": "US"
},
"idDetails": {
"type": "passport",
"number": "123456789",
"issuedCountryCode": "US",
"issuedBy": "Department of State",
"issuedDate": "2020-01-15",
"expirationDate": "2030-01-15",
"frontFileId": "1d3f870c-bc91-4636-a0d4-8e54bccf7d64",
"backFileId": "2e4a981d-cd02-4747-b29d-3f65dd8e7d75",
"selfieFileId": "3f5b092e-de13-4858-a40e-4c76ee9f8e86"
},
"addressProofFileId": "4a6b103f-ef24-4969-b51f-5d87ff0a9f97"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: 'John',
lastName: 'Doe',
dob: '1990-01-15',
nationality: 'US',
address: {
line1: '123 Main Street',
line2: 'Apt 101',
city: 'Anytown',
postalCode: '12345',
state: 'NY',
countryCode: 'US'
},
idDetails: {
type: 'passport',
number: '123456789',
issuedCountryCode: 'US',
issuedBy: 'Department of State',
issuedDate: '2020-01-15',
expirationDate: '2030-01-15',
frontFileId: '1d3f870c-bc91-4636-a0d4-8e54bccf7d64',
backFileId: '2e4a981d-cd02-4747-b29d-3f65dd8e7d75',
selfieFileId: '3f5b092e-de13-4858-a40e-4c76ee9f8e86'
},
addressProofFileId: '4a6b103f-ef24-4969-b51f-5d87ff0a9f97'
})
};
fetch('https://api.cadanapay.com/v1/users/{userId}/kyc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}{
"code": "resource_not_found",
"message": "Requested resource could not be found."
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Users
Submit KYC
Submit Know Your Customer (KYC) information for verification
POST
/
v1
/
users
/
{userId}
/
kyc
Submit KYC
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Path Parameters
The unique identifier for the user
Body
application/json
User's first name
Example:
"John"
User's last name
Example:
"Doe"
Date of birth in YYYY-MM-DD format
Example:
"1990-01-15"
User's nationality (2-letter country code)
Example:
"US"
Show child attributes
Show child attributes
Address
Show child attributes
Show child attributes
File ID for address proof document
Example:
"4a6b103f-ef24-4969-b51f-5d87ff0a9f97"
Response
KYC information submitted successfully
⌘I